button{
  margin: 5px;
  color: #fff;
  background: #0000a0;
  border: 1px solid;
  border-radius: 6px;
  padding: 5px;
  font-size: 12px;
}
button:disabled {
  background: rgb(153 162 182);
  cursor: not-allowed;
}
input:disabled {
  cursor: not-allowed;
}
button :hover{
  background: rgb(5, 50, 141);
  cursor: pointer;
}
table{
  border-collapse: collapse;
}
thead tr{
  background-color: #0000a0;
  color: #fff;
}
th {
  color: #fff;
  font-weight: 400;
  padding: 5px 15px;
  border: 1px solid;
  top: 0;
  position: sticky;
  background: #0000a0;
  font-size: 11px;
}
td{
  padding: 5px 15px;
  border: 1px solid #e0dddd;
  font-size: 10px;
}

.fixedHeader{
  left: 0;
  z-index: 50;
}
.fixedRow{
  left: 0;
  position: sticky;
  background: white;
}
.grid-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 30px;
  gap: 25px;
}
.grid-item {
  background-color: rgba(255, 255, 255, 0.8);
  padding: 44px;
  font-size: 30px;
  text-align: center;
  box-shadow: 1px 1px 6px 2px rgba(0,0,0,0.2);
  cursor: pointer;
  border-radius: 10px;
}
.grid-item:hover {
  background-color: rgba(255, 255, 255, 0.8);
  padding: 44px;
  font-size: 30px;
  text-align: center;
  box-shadow: 1px 1px 6px 2px rgba(0,0,0,0.2);
  cursor: pointer;
  border-radius: 10px;
  /* transition: 'transform 0.2s'; */
  transition: 0.1s;
  transform: scale(1.05);
}

.App {
  text-align: center;
}

.my-tooltip{
  z-index: 100;
}
.my-tooltip > .tooltip-inner {
  background-color: rgb(85, 81, 81);
  color: #fff;
  border: 1px solid #062e56;
  padding: 5px;
  border-radius: 5px;
  

  }
  
  .my-tooltip > .tooltip-arrow {
    border-top: 5px solid #062e56;
  }
  .react-datepicker__input-container{
    position: inherit !important;
  }
  .loader-box{
    position: fixed;
    background: #00000050;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 100;
  }
  #loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 30px;
    height: 30px;
    margin: -76px 0 0 -76px;
    border: 10px solid #f3f3f3;
    border-radius: 50%;
    border-top: 10px solid rgb(56, 96, 178);
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }
  .rmsc {
    --rmsc-radius: 0px !important;
    --rmsc-h: 24px !important;
    --rmsc-border: #000 !important;
    --rmsc-gray: #000 !important;
    color: black;
    --rmsc-h: 28px !important;
    margin: 5px 0;
 }
 .rmsc .gray {
  color: #000;
}
 .rmsc .options li{
   text-align: left;
   padding: 0;
 }
 .rmsc .item-renderer input {
  width: auto;
  height: auto;
}
.rmsc .dropdown-content{
  z-index: 100 !important;
}
.rmsc .select-item{
  font-size: 10px;
}
 .dropbtn:hover, .dropbtn:focus {
  background-color: #2980B9;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: block;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 110px;
  overflow: auto;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

.dropdown-content ul {
  color: black;
  list-style: none;
  padding-inline-start: 0;
}
.dropdown-content li {
  padding: 5px 16px;
  font-size: 12px;
}
.dropdown li:hover {background-color: #ddd;}

.show {display: block;}
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  
  /* Add animation to "page content" */
  .animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
  }
  
  @-webkit-keyframes animatebottom {
    from { bottom:-100px; opacity:0 } 
    to { bottom:0px; opacity:1 }
  }
  
  @keyframes animatebottom { 
    from{ bottom:-100px; opacity:0 } 
    to{ bottom:0; opacity:1 }
  }
.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
